<?php
/*
 * OverHAL - Convertissez vos imports éditeurs en TEI - Convert your publisher imports to TEI
 *
 * Copyright (C) 2023 Olivier Troccaz (olivier.troccaz@cnrs.fr) and Laurent Jonchère (laurent.jonchere@univ-rennes.fr)
 * Released under the terms and conditions of the GNU General Public License (https://www.gnu.org/licenses/gpl-3.0.txt)
 *
 * Crédits et mentions légales - Credits and legal information
 */
 ?>
<!DOCTYPE html>
    <html lang="en">

    <head>
        <meta charset="utf-8" />
        <title>HAL - UR</title>
        <meta name="viewport" content="width=device-width, initial-scale=1.0">
        <meta content="" name="description" />
        <meta content="Coderthemes + Lizuka" name="author" />
        <!-- App favicon -->
        <link rel="shortcut icon" type="image/x-icon" href="favicon.ico" />

        <!-- third party css -->
        <!-- <link href="./assets/css/vendor/jquery-jvectormap-1.2.2.css" rel="stylesheet" type="text/css" /> -->
        <!-- third party css end -->

        <!-- App css -->
        <link href="./assets/css/icons.min.css" rel="stylesheet" type="text/css" />
        <link href="./assets/css/app-hal-ur1.min.css" rel="stylesheet" type="text/css" id="light-style" />
        <!-- <link href="./assets/css/app-creative-dark.min.css" rel="stylesheet" type="text/css" id="dark-style" /> -->
        

    </head>

    <body class="loading" data-layout="topnav">
        
        <!-- Begin page -->
        <div class="wrapper">

            <!-- ============================================================== -->
            <!-- Start Page Content here -->
            <!-- ============================================================== -->

            <div class="content-page">
                <div class="content">
                    
								<?php
								include "./Glob_haut.php";
								?>
                    
                    <!-- Start Content-->
                    <div class="container-fluid">

                        <!-- start page title -->
                        <div class="row">
                            <div class="col-12">
                                <div class="page-title-box">
                                    <h4 class="page-title">Une suite d'outils web pour <span class="font-weight-light">HAL</span></h4>
                                </div>
                            </div>
                        </div>
                        <!-- end page title -->

                        <div class="row">
                            <div class="col-12 text-justify">
																<div class="card d-block w-100 shadow-lg">
                                    <div class="card-body">
														
																				<center><h1>Crédits et mentions légales</h1></center><br><br>

																				Le présent site, conformément à la loi n° 78-17 du 6 janvier 1978 modifiée relative à l'informatique, aux fichiers et aux libertés et à la loi n°2004-575 du 21 juin 2004 pour la confiance dans l'économie numérique est la propriété de l'Université de Rennes 1. Il a vocation à présenter les outils développés pour HAL par l'Université de Rennes 1 et le CNRS.<br>
																				<br>
																						<a href='#editeur'>Éditeur</a><br>
																						<a href='#hebergement'>Hébergement</a><br>
																						<a href='#conception'>Conception, développement et réalisation</a><br>
																						<a href='#credits'>Crédits photographiques</a><br>
																						<a href='#conditions'>Conditions générales d'utilisation</a><br>
																						<a href='#infolib'>Informatique, fichiers et liberté</a><br>
																						<a href='#propriete'>Propriété intellectuelle, droit de reproduction, liens hypertextes</a><br>
																						<a href='#procedure'>Procédure de notification</a><br>
																						<a href='#modification'>Modification de la notice légale</a><br>
																						<a href='#droit'>Droit applicable</a><br>
																				<br>
																				<a name='editeur'></a><h2>Éditeur</h2>

																				Le directeur de la publication est David Alis, Président de l'Université de Rennes 1.<br>
																				<br>
																				Le responsable de la rédaction est Laurent Jonchère.<br>
																				<br>
																						Téléphone : +33 223233478<br>
																						Adresse courriel : laurent.jonchere[at]univ-rennes1.fr<br>

																				<br><a name='hebergement'><h2>Hébergement</h2>

																				L'hébergement est assuré par l'Université de Rennes 1, dont le siège est :<br>
																				Université de Rennes 1<br>
																				2, rue du Thabor<br>
																				CS 46510<br>
																				35065 Rennes Cedex<br>
																				France<br>

																				<br><a name='conception'><h2>Conception, développement et réalisation</h2>

																				<h3>Coordination du projet</h3>
																						<ul>
																						<li>Laurent Jonchère,</li>
																						<li>Thierry Fournier.</li>
																						</ul>
																				<h3>Conception web</h3>
																						<ul>
																						<li>Laurent Jonchère,</li>
																						<li>Olivier Troccaz.</li>
																						</ul>
																				<h3>Développement Web</h3>
																						<ul>
																						<li>Olivier Troccaz,</li>
																						<li>Philippe Gambette.</li>
																						</ul>
																				<h3>Conception graphique et ergonomique</h3>
																						<ul>
																						<li>Laurent Jonchère,</li>
																						<li>Olivier Troccaz.</li>
																						</ul>
																				<h3>Intégration Web</h3>
																						<ul>
																						<li>Laurent Jonchère,</li>
																						<li>Olivier Troccaz.</li>
																						</ul>
																				<h3>Technologies utilisées</h3>

																				Ce site fonctionne grâce à des logiciels libres (Linux, Apache, PHP, JavaScript, Git).<br>

																				<br><a name='credits'></a><h2>Crédits photographiques</h2>

																				Sauf mention contraire, les photographies présentes sur le présent site sont la propriété de l'Université de Rennes 1.<br>

																				<br><a name='conditions'></a><h2>Conditions générales d'utilisation</h2>

																				L'utilisateur reconnaît avoir pris connaissance de la présente notice légale et s'engage à la respecter. Il reconnaît avoir vérifié que la configuration informatique qu'il utilise ne contient aucun virus ou tout autre « logiciel malintentionné » et qu'elle est en parfait état de fonctionnement.<br>
																				<br>
																				L'utilisateur est seul responsable du choix, de l'utilisation et de l'interprétation des données qu'il consulte, interroge et transfère sur l'Internet. Le propriétaire du site web met tout en oeuvre pour offrir aux utilisateurs des informations et/ou des outils disponibles et vérifié(e)s mais ne saurait être tenu pour responsable des erreurs, d'une absence de disponibilité des informations et/ou de la présence de virus ou de « logiciels malintentionnés »  sur son site.<br>

																				<br><a name='infolib'></a><h2>Informatique, fichiers et liberté</h2>

																				En conformité avec les dispositions de la loi n° 78-17 du 6 janvier 1978 modifiée relative à l'informatique, aux fichiers et aux libertés, les traitements automatisés de données nominatives réalisés à partir du présent site web ont fait l'objet d'une déclaration dans le registre « Informatique et libertés » de l'université de Rennes 1.<br>
																				<br>
																				L'utilisateur est notamment informé que, conformément aux termes de la loi n° 78-17, il dispose d'un droit d'accès, de rectification et de suppression portant sur les données personnelles le concernant en écrivant à l'adresse ci-dessus du responsable de la rédaction.<br>

																				<br><a name='propriete'></a><h2>Propriété intellectuelle, droit de reproduction, liens hypertextes</h2>

																				La structure générale ainsi que les logiciels, textes, images animées ou non, sons, savoir-faire et tous les autres éléments composant le site sont la propriété exclusive de l'Université de Rennes 1 ou bien sont régulièrement exploités sous licence. L'ensemble de ce site relève de la législation française et internationale sur le droit d'auteur et la propriété intellectuelle. Tous les droits de reproduction sont réservés, y compris pour les documents téléchargeables et les représentations iconographiques ou photographiques.<br>
																				<br>
																				Toute reproduction électronique totale ou partielle de ce site sans l'autorisation expresse de l'Université de Rennes 1 est interdite et constituerait une contrefaçon sanctionnée par les articles L 335-2 et suivants du Code de la Propriété Intellectuelle (CPI), sauf mention expresse du contraire.<br>
																				<br>
																				La reproduction sur support papier des pages de ce site est autorisée sauf mention explicite du contraire, sous réserve du respect des conditions suivantes :<br>

																						<ul>
																						<li>respect de l'intégrité des documents reproduits,</li>
																						<li>citation explicite de l'origine : "Université de Rennes 1" et mention que les droits de reproduction sont réservés et limités,</li>
																						<li>gratuité de la diffusion.</li>
																						</ul>

																				Les bases de données figurant sur le présent site sont protégées par les dispositions de la loi du 1 er juillet 1998 portant transposition dans le CPI de la directive du 11 mars 1996 relative à la protection juridique des bases de données.<br>
																				<br>
																				Il est possible de créer un lien vers la page d’accueil du site, sous réserve qu’il ne soit pas utilisé à des fins commerciales ou publicitaires et de la mention expresse au site sur le lien ou à proximité de celui-ci. Cette autorisation ne s’applique pas aux sites internet diffusant des informations à caractère illicite.<br>
																				<br>
																				En tout état de cause, le webmestre qui créerait un lien hypertexte s’engage à ne pas utiliser la technique du lien profond dit « deep linking ». Il s’agit notamment des liens vers des documents graphiques, multimédia ou animés (format jpeg, gif, etc.) et tout autre document texte (format txt, doc, rtf, pdf, etc.), que ceux-ci soient téléchargeables ou non.<br>
																				<br>
																				Tout utilisation d’éléments du site à l’intérieur d’un autre site par le biais d’inclusions, de cadres, d’inlining ou de procédés similaires est interdite.<br>
																				<br>
																				Pour toute demande concernant un lien hypertexte, contactez le responsable de la rédaction à l’adresse mentionnée ci- dessus, en précisant l’adresse de la page où figurera le lien sur le site tiers.<br>

																				<br><a name='procedure'></a><h2>Procédure de notification</h2>

																				L'utilisateur qui constaterait des inexactitudes, des informations erronées ou des informations de caractère manifestement illicite, est tenu d'en informer le responsable de la publication afin que celui-ci y mette fin.<br>

																				<br><a name='modification'></a><h2>Modification de la notice légale</h2>

																				L'Université de Rennes 1, propriétaire et exploitant du site, se réserve le droit de modifier la présente notice à tout moment. L'utilisateur s'engage donc à la consulter régulièrement.<br>

																				<br><a name='droit'></a><h2>Droit applicable</h2>

																				En cas de litige, le droit français est applicable. Il est fait attribution exclusive de juridiction aux tribunaux compétents de Rennes (France).<br>
																		</div><!-- end card-->
																</div><!-- end card-->

                            </div> <!-- end col -->
                        </div>
                        <!-- end row -->

                       

                    </div>
                    <!-- container -->

                </div>
                <!-- content -->

                <?php
								include "./Glob_bas.php";
								?>

            </div>

            <!-- ============================================================== -->
            <!-- End Page content -->
            <!-- ============================================================== -->


        </div>
        <!-- END wrapper -->

       

        <!-- bundle -->
        <script src="./assets/js/vendor.min.js"></script>
        <script src="./assets/js/app.min.js"></script>

        <!-- third party js -->
        <!-- <script src="./assets/js/vendor/apexcharts.min.js"></script> -->
        <!-- <script src="./assets/js/vendor/jquery-jvectormap-1.2.2.min.js"></script> -->
        <!-- <script src="./assets/js/vendor/jquery-jvectormap-world-mill-en.js"></script> -->
        <!-- third party js ends -->

        <!-- demo app -->
        <!-- <script src="./assets/js/pages/demo.dashboard.js"></script> -->
        <!-- end demo js-->
    </body>
</html>